{{#if @columns.length}}
  {{#if (eq @viewMode 'card-columns')}}
    <Manage::ListCardColumns
      ...attributes
      @isEditable={{@isEditable}}
      @columns={{@columns}}
      @hasTopImage={{@hasTopImage}}
      @hasFooter={{@hasFooter}}
      @deleteOptions={{@deleteOptions}}
      @onDelete={{this.delete}}
      as |section|
    >
      {{yield section}}
    </Manage::ListCardColumns>
  {{/if}}

  {{#if (eq @viewMode 'card-deck')}}
    <Manage::ListCardDeck
      ...attributes
      @isEditable={{@isEditable}}
      @columns={{@columns}}
      @deleteOptions={{@deleteOptions}}
      @onDelete={{this.delete}}
      as |section|
    >
      {{yield section (hash delete=this.delete)}}
    </Manage::ListCardDeck>
  {{/if}}

  {{#if (eq @viewMode 'list')}}
    <Manage::ListTable
      ...attributes
      @selectAll={{@selectAll}}
      @isEditable={{@isEditable}}
      @header={{@header}}
      @selectedIds={{this.selectedItems}}
      @deleteOptions={{@deleteOptions}}
      @onDelete={{this.delete}}
      @onSelect={{this.select}}
      @columns={{@columns}}
      as |section|
    >
      {{yield section}}
    </Manage::ListTable>
  {{/if}}
{{/if}}

{{#if this.selectedItems.length}}
  <Manage::ActionsSelected
    @selected={{this.selectedItems}}
    @actions={{@actions}}
    @onClearSelection={{this.clearSelection}}
    @onAction={{@onAction}}
    @onDelete={{this.deleteMany}}
  />
{{/if}}